Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network136.210.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
136.210.0.0
Broadcast address
136.211.255.255
First usable
136.210.0.1
Last usable
136.211.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
B (default /16)
As numbers
Hex 88D20000 · Integer 2295463936 to 2295595007
Reverse DNS zones
210.136.in-addr.arpa
211.136.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001000.11010010.00000000.00000000136.210.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network10001000.11010010.00000000.00000000136.210.0.0
Broadcast10001000.11010011.11111111.11111111136.211.255.255
Split into smaller subnets/21

136.210.0.0/15 makes 64 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1136.210.0.0/21136.210.0.1 to 136.210.7.254136.210.7.2552,046
2136.210.8.0/21136.210.8.1 to 136.210.15.254136.210.15.2552,046
3136.210.16.0/21136.210.16.1 to 136.210.23.254136.210.23.2552,046
4136.210.24.0/21136.210.24.1 to 136.210.31.254136.210.31.2552,046
5136.210.32.0/21136.210.32.1 to 136.210.39.254136.210.39.2552,046
6136.210.40.0/21136.210.40.1 to 136.210.47.254136.210.47.2552,046
7136.210.48.0/21136.210.48.1 to 136.210.55.254136.210.55.2552,046
8136.210.56.0/21136.210.56.1 to 136.210.63.254136.210.63.2552,046
9136.210.64.0/21136.210.64.1 to 136.210.71.254136.210.71.2552,046
10136.210.72.0/21136.210.72.1 to 136.210.79.254136.210.79.2552,046
11136.210.80.0/21136.210.80.1 to 136.210.87.254136.210.87.2552,046
12136.210.88.0/21136.210.88.1 to 136.210.95.254136.210.95.2552,046
13136.210.96.0/21136.210.96.1 to 136.210.103.254136.210.103.2552,046
14136.210.104.0/21136.210.104.1 to 136.210.111.254136.210.111.2552,046
15136.210.112.0/21136.210.112.1 to 136.210.119.254136.210.119.2552,046
16136.210.120.0/21136.210.120.1 to 136.210.127.254136.210.127.2552,046
17136.210.128.0/21136.210.128.1 to 136.210.135.254136.210.135.2552,046
18136.210.136.0/21136.210.136.1 to 136.210.143.254136.210.143.2552,046
19136.210.144.0/21136.210.144.1 to 136.210.151.254136.210.151.2552,046
20136.210.152.0/21136.210.152.1 to 136.210.159.254136.210.159.2552,046
21136.210.160.0/21136.210.160.1 to 136.210.167.254136.210.167.2552,046
22136.210.168.0/21136.210.168.1 to 136.210.175.254136.210.175.2552,046
23136.210.176.0/21136.210.176.1 to 136.210.183.254136.210.183.2552,046
24136.210.184.0/21136.210.184.1 to 136.210.191.254136.210.191.2552,046
25136.210.192.0/21136.210.192.1 to 136.210.199.254136.210.199.2552,046
26136.210.200.0/21136.210.200.1 to 136.210.207.254136.210.207.2552,046
27136.210.208.0/21136.210.208.1 to 136.210.215.254136.210.215.2552,046
28136.210.216.0/21136.210.216.1 to 136.210.223.254136.210.223.2552,046
29136.210.224.0/21136.210.224.1 to 136.210.231.254136.210.231.2552,046
30136.210.232.0/21136.210.232.1 to 136.210.239.254136.210.239.2552,046
31136.210.240.0/21136.210.240.1 to 136.210.247.254136.210.247.2552,046
32136.210.248.0/21136.210.248.1 to 136.210.255.254136.210.255.2552,046
33136.211.0.0/21136.211.0.1 to 136.211.7.254136.211.7.2552,046
34136.211.8.0/21136.211.8.1 to 136.211.15.254136.211.15.2552,046
35136.211.16.0/21136.211.16.1 to 136.211.23.254136.211.23.2552,046
36136.211.24.0/21136.211.24.1 to 136.211.31.254136.211.31.2552,046
37136.211.32.0/21136.211.32.1 to 136.211.39.254136.211.39.2552,046
38136.211.40.0/21136.211.40.1 to 136.211.47.254136.211.47.2552,046
39136.211.48.0/21136.211.48.1 to 136.211.55.254136.211.55.2552,046
40136.211.56.0/21136.211.56.1 to 136.211.63.254136.211.63.2552,046
41136.211.64.0/21136.211.64.1 to 136.211.71.254136.211.71.2552,046
42136.211.72.0/21136.211.72.1 to 136.211.79.254136.211.79.2552,046
43136.211.80.0/21136.211.80.1 to 136.211.87.254136.211.87.2552,046
44136.211.88.0/21136.211.88.1 to 136.211.95.254136.211.95.2552,046
45136.211.96.0/21136.211.96.1 to 136.211.103.254136.211.103.2552,046
46136.211.104.0/21136.211.104.1 to 136.211.111.254136.211.111.2552,046
47136.211.112.0/21136.211.112.1 to 136.211.119.254136.211.119.2552,046
48136.211.120.0/21136.211.120.1 to 136.211.127.254136.211.127.2552,046
49136.211.128.0/21136.211.128.1 to 136.211.135.254136.211.135.2552,046
50136.211.136.0/21136.211.136.1 to 136.211.143.254136.211.143.2552,046
51136.211.144.0/21136.211.144.1 to 136.211.151.254136.211.151.2552,046
52136.211.152.0/21136.211.152.1 to 136.211.159.254136.211.159.2552,046
53136.211.160.0/21136.211.160.1 to 136.211.167.254136.211.167.2552,046
54136.211.168.0/21136.211.168.1 to 136.211.175.254136.211.175.2552,046
55136.211.176.0/21136.211.176.1 to 136.211.183.254136.211.183.2552,046
56136.211.184.0/21136.211.184.1 to 136.211.191.254136.211.191.2552,046
57136.211.192.0/21136.211.192.1 to 136.211.199.254136.211.199.2552,046
58136.211.200.0/21136.211.200.1 to 136.211.207.254136.211.207.2552,046
59136.211.208.0/21136.211.208.1 to 136.211.215.254136.211.215.2552,046
60136.211.216.0/21136.211.216.1 to 136.211.223.254136.211.223.2552,046
61136.211.224.0/21136.211.224.1 to 136.211.231.254136.211.231.2552,046
62136.211.232.0/21136.211.232.1 to 136.211.239.254136.211.239.2552,046
63136.211.240.0/21136.211.240.1 to 136.211.247.254136.211.247.2552,046
64136.211.248.0/21136.211.248.1 to 136.211.255.254136.211.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses